View Issue Details

IDProjectCategoryView StatusLast Update
0004411SymmetricDS ProBugpublic2020-06-24 16:46
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.1Fixed in Version3.12.1 
Summary0004411: NoClassDefFoundError during node setup for Kafka, Azure, Snowflake
DescriptionWhen setting up new node with wizard for Kafka, Azure, or Snowflake, the wizard tries to show the advanced database settings screen, but gets a NoClassDefFoundError. The screen is compiled against Amazon S3 classes, which are not downloaded and added to the classpath unless the user selected Redshift/S3. Instead, the screen should instantiate a helper class to access Amazon/S3 classes when needed.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 18f3a081

2020-06-02 08:59:06

admin

Details Diff
0004411: NoClassDefFoundError during node setup for Kafka, Azure,
Snowflake
Affected Issues
0004411
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/AWSHelper.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/MavenArtifact.java Diff File

Issue History

Date Modified Username Field Change
2020-06-02 08:57 elong New Issue
2020-06-02 08:57 elong Status new => assigned
2020-06-02 08:57 elong Assigned To => elong
2020-06-02 09:00 elong Status assigned => resolved
2020-06-02 09:00 elong Resolution open => fixed
2020-06-02 09:00 elong Fixed in Version => 3.12.1
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.12 18f3a081
2020-06-24 16:46 admin Status resolved => closed